%define upstream_name    Parallel-Map-Segmented
%define upstream_version 0.4.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Use Parallel::Map on batches of items
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Parallel::ForkManager::Segmented::Base)
BuildRequires: perl(Parallel::Map)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
This module builds upon Parallel::Map allowing one to pass a
batch (or "segment") of several items for processing inside a worker. This
is done in order to hopefully speed up the processing.

It aims to provide a compatible API with Parallel::ForkManager::Segmented
only based on IO::Async and Parallel::Map rather than
Parallel::ForkManager .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.4.0-2.mga9
+ Revision: 1813334
- Mageia 9 Mass Rebuild

* Thu Oct 08 2020 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1632660
- fix desc's readability
- imported package perl-Parallel-Map-Segmented


* Thu Oct 08 2020 cpan2dist 0.4.0-1mga
- initial mageia release, generated with cpan2dist
